PDA

View Full Version : [ubuntu] Upgrading for GRUB Legacy to GRUB 2 errors



ShadowsOfSilver
March 12th, 2010, 10:11 PM
Nevermind, I already have GRUB2

MichealH
March 12th, 2010, 10:15 PM
How 'bout reading this ?
http://www.ubuntu-inside.me/2009/06/howto-upgrade-to-grub2-on-ubuntu-jaunty.html

If you would like to beautify it see my thread here:

http://ubuntuforums.org/showthread.php?t=1425075

ShadowsOfSilver
March 12th, 2010, 10:19 PM
Would the first one work for Karmic?

MichealH
March 12th, 2010, 10:21 PM
It said for Ubuntu Jaunty and Karmic

ShadowsOfSilver
March 12th, 2010, 10:23 PM
I didn't see that before. ^^;

I tried that and I got


ubuntu@ubuntu:~$ sudo apt-get install grub2
Reading package lists... Done
Building dependency tree
Reading state information... Done
Package grub2 is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
However the following packages replace it:
grub-pc
E: Package grub2 has no installation candidate

MichealH
March 12th, 2010, 11:05 PM
I just remembered... grub-pc is grub2 in the Karmic Repos. So If you probably purge it then install it?

ShadowsOfSilver
March 12th, 2010, 11:20 PM
Nevermind, I apparently already have grub 2